function fl1_handle_help()
{
	echo "F-Linsey v.${FL_FLINSEY_VERSION} by Vladislav \"FractalizeR\" Rastrusny"
	echo
	echo "Usage: f-linsey command [parameters]"
	echo
	echo "-------------------- Commands --------------------"
	echo "  install"
	echo "Actually installs one or several applications, determined by parameters."
	echo "That includes downloading source, compiling, making, installing and making all post-install actions"
	echo
	echo "Paramters can be a list of applications to install quoted and inside separated by space"
	echo "or 'all' to install all applications, for which modules exist in current f-linsey installation"
	echo "Examples:"
	echo "f-linsey install \"httpd mysql php\""
	echo "f-linsey install all"
	echo
	echo
	echo "  upgrade"
	echo "Upgrades modules, that were installed by last f-linsey invocations"
	echo "Parameters are the same as install command has. This command preserves all exising configuration"
	echo "that exists at installed application just upgrading binaries"
	echo
	echo
	echo "  listmodules"
	echo "Prints a list of modules current f-linsey installation has"
	echo
	echo
	echo "  uninstall"
	echo "Uninstalls selected modules by executing make uninstall on them"
	echo "Parameters are the same as install command has"
	echo
	echo
	echo "  help"
	echo "Without parameters shows this screen. Accepts a single parameter to show module-specific help"
	echo "Examples:"
	echo "f-linsey help"
	echo "f-linsey help httpd"
}